import "@views/css/global.css";

import { Router } from "@solidjs/router";
import { app as App } from "@views/app";
import { render } from "solid-js/web";

const prefersDark = window.matchMedia("(prefers-color-scheme: dark)").matches;
document.documentElement.dataset.theme = prefersDark ? "dark" : "light";

const root = document.getElementById("root");
if (!(root instanceof HTMLElement)) throw new Error("Root element not found");

render(
	() => (
		<Router>
			<App />
		</Router>
	),
	root,
);
